Subject: Re: glibc-2.5 test suite hangs/crashes the machine

From: Fabio Massimo Di Nitto <[email-masked]>
Date: Tue, 31 Oct 2006 21:44:13 +0100

Benjamin Herrenschmidt wrote:
> On Tue, 2006-10-31 at 10:47 +0100, Fabio Massimo Di Nitto wrote:
>> Benjamin Herrenschmidt wrote:
>>> On Mon, 2006-10-30 at 12:35 +0100, Fabio Massimo Di Nitto wrote:
>>>> Benjamin Herrenschmidt wrote:
>>>>> Does that patch fixes it ?
>>>>>
>>>> tested with kernel .17 and headers from .19 and the build hangs. Still tons of
>>>> Zl processes around.
>>>>
>>>> On the note building with kernel .19 and .19 headers it all goes smooth.
>>> Ok, so there's a different issue from what I've found. You haven't by
>>> chance noted what those processes are (which test case typically) ?
>>> Also, there's a sysrq to get a backtrace of all pending processes,
>>> though I don't remember which one off the top of my mind, might be
>>> useful to have a look though.
>>>
>>> Ben.
>>>
>> After discussing with Ben on IRC i applied 69588298188b40ed7f75c98a6fd328d82f23ca21
>> to kernel .17 and glibc does build without zombie processes and no hang whatsoever.
>>
>> I suggest to push this patch back to the stable kernel trees.
> 
> It also need the alignment bits I did though.
> 
> Ben.
> 

I did apply that one too to .17 as we agreed for the test.

Fabio

-- 
I'm going to make him an offer he can't refuse.